%define version	0.5.29
%define release 1mdk

Summary:	A set of utilities to manage your TV viewing.
Name:		xmltv
Version:	%{version}
Release:	%{release}
URL:		http://membled.com/work/apps/xmltv/
Source0:	%{name}-%{version}.tar.bz2
Source1:	tv_grab_be	
Source2:	tv_grab_fr	
Source3:	tv_grab_fr.pl
Patch0:		xmltv-0.5.19-batchallyes.patch.bz2
Patch1:		xmltv-0.5.20-de.patch.bz2
License:	GPL
Group:		Video
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	perl-CGI
BuildRequires:	perl-Compress-Zlib
BuildRequires:	perl-DateManip => 5.42
BuildRequires:	perl-devel
BuildRequires:	perl-HTML-TableExtract => 1.08
BuildRequires:	perl-HTML-Tree
BuildRequires:	perl-libwww-perl => 5.65
BuildRequires:	perl-Lingua-Preferred
BuildRequires:	perl-Lingua-EN-Numbers-Ordinate
BuildRequires:	perl-Term-ProgressBar >= 2.03
BuildRequires:	perl-Tk-TableMatrix
BuildRequires:	perl-Unicode-String
BuildRequires:	perl-XML-Simple
BuildRequires:	perl-XML-Twig => 3.09
BuildRequires:	perl-XML-Writer
Requires:	perl-HTML-Parser >= 3.34

%description
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

There are five backends at present, grabbing TV listings for Canada,
the USA, the UK, Germany, Austria, Sweden and Norway. There are
filters to sort the listings by date, to remove shows that have
already been broadcast, and a couple of programmes to organize your
viewing by storing preferences of what shows you watch. There are a
couple of backends to produce printed output.

%package -n	perl-XMLTV
Summary:	Perl modules for managing your TV viewing.
Group:		Development/Perl

%description -n perl-XMLTV
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

This package contains the perl modules from xmltv.

%package	grabbers
Summary:	Backends for xmltv.
Group:		Video

%description grabbers
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

This package contains the backends (grabbers) for xmltv.

%package	gui
Summary:	Graphical frontends to xmltv.
Group:		Video

%description gui
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

This package contains graphical frontends to xmltv.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
export PREFIX=/usr
%{__perl} Makefile.PL INSTALLDIRS=vendor 'PREFIX=$(MYDESTDIR)'%{_prefix} <<EOF
yes
EOF

%{__make}
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install %SOURCE1 $RPM_BUILD_ROOT/%{_bindir}
install %SOURCE2 $RPM_BUILD_ROOT/%{_bindir}
install %SOURCE3 $RPM_BUILD_ROOT/%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/tv_cat
%{_bindir}/tv_extractinfo_en
%{_bindir}/tv_grep
%{_bindir}/tv_imdb
%{_bindir}/tv_remove_some_overlapping
%{_bindir}/tv_sort
%{_bindir}/tv_split
%{_bindir}/tv_to_latex
%{_bindir}/tv_to_text
%{_mandir}/man1/tv_cat.1*
%{_mandir}/man1/tv_extractinfo_en.1*
%{_mandir}/man1/tv_grep.1*
%{_mandir}/man1/tv_imdb.1*
%{_mandir}/man1/tv_remove_some_overlapping.1*
%{_mandir}/man1/tv_sort.1*
%{_mandir}/man1/tv_split.1*
%{_mandir}/man1/tv_to_latex.1*
%{_mandir}/man1/tv_to_text.1*
%{_docdir}/%{name}-%{version}

%files -n perl-XMLTV
%defattr(-,root,root,-)
%{perl_vendorlib}/XMLTV.pm
%{perl_vendorlib}/XMLTV
%{_mandir}/man3/*

%files grabbers
%defattr(-,root,root,-)
%{_bindir}/tv_grab_*
%{_mandir}/man1/tv_grab_*.1*
%{_datadir}/xmltv/tv_grab_*

%files gui
%defattr(-,root,root,-)
%{_bindir}/tv_check
%{_mandir}/man1/tv_check.1*

%changelog
* Sun Feb 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.29-1mdk
- 0.5.29

* Mon Feb 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.28-1mdk
- 0.5.28

* Sat Jan 17 2004 Stefan van der Eijk <stefan@eijk.nu> 0.5.27-1mdk
- merge changes from thac's package

* Mon Dec 15 2003 Erwan Velu <erwan@mandrakesoft.com> 0.5.25-3mdk
- New french tv grabber (http://www.lahiette.com/biboobox/download/tv_grab_fr.pl)

* Fri Dec 12 2003 Erwan Velu <erwan@mandrakesoft.com> 0.5.25-2mdk
- Adding requires to perl-HTML-Parser
- Adding xmltv grabber for france & belgium

* Wed Dec 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.25-1mdk
- 0.5.25

* Sun Nov 30 2003 Stefan van der Eijk <stefan@eijk.nu> 0.5.24-1mdk
- 0.5.23

* Wed Apr 09 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.5.9_utf8-1mdk
- Updated to latest version

* Thu Mar 27 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.5.8_utf8-2mdk
- Recompiled for Mandrake 9.1

* Mon Mar 24 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.5.8_utf8-1mdk
- Recompiled for Mandrake 9.0

* Fri Mar 14 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Fix dependeny to new perl-DateManip package.

* Mon Feb 10 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Upgraded to 0.5.7

* Sat Nov 30 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 0.5.3-0at4
- add description
- make noarch

* Sat Nov 30 2002 Ed Avis <ed@membled.com>
- fix answers to perl Makefile.PL
- add license

* Mon Nov 25 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 0.5.3-0at3
- upgrade to 0.5.3

* Wed Nov 13 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Initial build.
